summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-portage/gentoolkit/Manifest1
-rw-r--r--app-portage/gentoolkit/files/gentoolkit-0.6.1-data_files.patch47
-rw-r--r--app-portage/gentoolkit/files/pkgindex.patch45
-rw-r--r--app-portage/gentoolkit/gentoolkit-0.6.1-r2.ebuild72
-rw-r--r--metadata/md5-cache/app-portage/gentoolkit-0.6.1-r217
-rw-r--r--metadata/pkg_desc_index1
6 files changed, 183 insertions, 0 deletions
diff --git a/app-portage/gentoolkit/Manifest b/app-portage/gentoolkit/Manifest
new file mode 100644
index 00000000..3b2e5a26
--- /dev/null
+++ b/app-portage/gentoolkit/Manifest
@@ -0,0 +1 @@
+DIST gentoolkit-0.6.1.tar.gz 3195781 BLAKE2B 27e370de77586b375dc70caa1abba4c2bc4207e8f08e0a7ea2953097135506949db71ff9102a0ead198e4dea425440c57b94ac7a811ca2d5e0016fc7e234bb0d SHA512 1ffc466b69a9c53f1bbd40f6f4d1eb33d5f0f4287bb65ba1a7b1b2675ad61ecffa55ed9fda7c1ae8148744f0a77e224315eb1903dfd61a2a3dab1600fc672d2d
diff --git a/app-portage/gentoolkit/files/gentoolkit-0.6.1-data_files.patch b/app-portage/gentoolkit/files/gentoolkit-0.6.1-data_files.patch
new file mode 100644
index 00000000..8039864d
--- /dev/null
+++ b/app-portage/gentoolkit/files/gentoolkit-0.6.1-data_files.patch
@@ -0,0 +1,47 @@
+From 5b52ee6c6efab68111d128d45f386ac21eaf84f6 Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <dolsen@gentoo.org>
+Date: Sun, 10 Jul 2022 13:41:36 -0700
+Subject: [PATCH] Revert "setup.py: migrate to setuptools"
+
+This reverts commit bbbde97b5e625a49a1a66e307931548cb33f260b.
+setuptools only installs data files to the python pkg directory
+---
+ setup.py | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 36995de..23e9b36 100755
+--- a/setup.py
++++ b/setup.py
+@@ -3,8 +3,8 @@
+ import re
+ import sys
+ import subprocess
+-
+-from setuptools import setup, Command
++from distutils import core
++from distutils.cmd import Command
+ from glob import glob
+
+ import os
+@@ -67,7 +67,7 @@ manpages = [
+ ]
+
+
+-class set_version(Command):
++class set_version(core.Command):
+ """Set python __version__ and bash VERSION to our __version__."""
+
+ description = "hardcode scripts' version using VERSION from environment"
+@@ -130,7 +130,7 @@ test_data = {
+ ]
+ }
+
+-setup(
++core.setup(
+ name="gentoolkit",
+ version=__version__,
+ description="Set of tools that work with and enhance portage.",
+--
+libgit2 1.4.3
+
diff --git a/app-portage/gentoolkit/files/pkgindex.patch b/app-portage/gentoolkit/files/pkgindex.patch
new file mode 100644
index 00000000..df546197
--- /dev/null
+++ b/app-portage/gentoolkit/files/pkgindex.patch
@@ -0,0 +1,45 @@
+From bf3eb16e451fd1bdee8ef03a0d22e0040e033f19 Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <dolsen@gentoo.org>
+Date: Sun, 10 Jul 2022 23:41:33 -0700
+Subject: eclean/pkgindex.py: Fix typo in function call
+
+ File "/usr/lib/python3.10/site-packages/gentoolkit/eclean/pkgindex.py", line
+60, in clean_pkgs_index
+ if self.get_emaint_binhost():
+AttributeError: 'PkgIndex' object has no attribute 'get_emaint_binhost'. Did
+you mean: '_get_emaint_binhost'?
+
+Also fix too many parameters in line 68 for the self.controller() call
+
+Bug: https://bugs.gentoo.org/857555
+
+Signed-off-by: Brian Dolbec <dolsen@gentoo.org>
+---
+ pym/gentoolkit/eclean/pkgindex.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/pym/gentoolkit/eclean/pkgindex.py b/pym/gentoolkit/eclean/pkgindex.py
+index d0878a1..7d6fade 100644
+--- a/pym/gentoolkit/eclean/pkgindex.py
++++ b/pym/gentoolkit/eclean/pkgindex.py
+@@ -57,7 +57,7 @@ class PkgIndex:
+ statinfo = os.stat(file_)
+ size1 = statinfo.st_size
+ show_progress = not quiet
+- if self.get_emaint_binhost():
++ if self._get_emaint_binhost():
+ self.taskmaster = TaskHandler(show_progress_bar=show_progress)
+ tasks = [self.binhost]
+ self.taskmaster.run_tasks(tasks)
+@@ -65,7 +65,7 @@ class PkgIndex:
+ self.call_emaint()
+ statinfo = os.stat(file_)
+ clean_size = size1 - statinfo.st_size
+- self.controller("\n", clean_size, "Packages Index", file_, "Index")
++ self.controller(clean_size, "Packages Index", file_, "Index")
+ return clean_size
+
+ def call_emaint(self):
+--
+cgit v1.2.3-18-g5258
+
diff --git a/app-portage/gentoolkit/gentoolkit-0.6.1-r2.ebuild b/app-portage/gentoolkit/gentoolkit-0.6.1-r2.ebuild
new file mode 100644
index 00000000..5b37da36
--- /dev/null
+++ b/app-portage/gentoolkit/gentoolkit-0.6.1-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="xml(+),threads(+)"
+
+inherit distutils-r1 tmpfiles
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoolkit.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoolkit.git/snapshot/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Collection of administration scripts for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage-Tools"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND="
+ sys-apps/portage[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+ virtual/awk
+ sys-apps/gentoo-functions"
+
+PATCHES=(
+ "${FILESDIR}/gentoolkit-0.6.1-data_files.patch"
+ "${FILESDIR}/pkgindex.patch"
+)
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ python_setup
+ echo VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ distutils-r1_python_prepare_all
+
+ if use prefix-guest ; then
+ # use correct repo name, bug #632223
+ sed -i \
+ -e "/load_profile_data/s/repo='gentoo'/repo='gentoo_prefix'/" \
+ pym/gentoolkit/profile.py || die
+ fi
+}
+
+pkg_postinst() {
+ tmpfiles_process revdep-rebuild.conf
+
+ # Only show the elog information on a new install
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "For further information on gentoolkit, please read the gentoolkit"
+ elog "guide: https://wiki.gentoo.org/wiki/Gentoolkit"
+ elog
+ elog "Another alternative to equery is app-portage/portage-utils"
+ elog
+ elog "Additional tools that may be of interest:"
+ elog
+ elog " app-admin/eclean-kernel"
+ elog " app-portage/diffmask"
+ elog " app-portage/flaggie"
+ elog " app-portage/portpeek"
+ elog " app-portage/smart-live-rebuild"
+ fi
+}
diff --git a/metadata/md5-cache/app-portage/gentoolkit-0.6.1-r2 b/metadata/md5-cache/app-portage/gentoolkit-0.6.1-r2
new file mode 100644
index 00000000..bf41f133
--- /dev/null
+++ b/metadata/md5-cache/app-portage/gentoolkit-0.6.1-r2
@@ -0,0 +1,17 @@
+BDEPEND=test? ( sys-apps/portage[python_targets_pypy3(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?,python_targets_python3_11(-)?] virtual/awk sys-apps/gentoo-functions ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.9_p1:0=[xml(+),threads(+)] ) python_targets_python3_8? ( >=dev-lang/python-3.8.13:3.8[xml(+),threads(+)] ) python_targets_python3_9? ( >=dev-lang/python-3.9.12:3.9[xml(+),threads(+)] ) python_targets_python3_10? ( >=dev-lang/python-3.10.4:3.10[xml(+),threads(+)] ) python_targets_python3_11? ( >=dev-lang/python-3.11.0_beta3:3.11[xml(+),threads(+)] )
+DEFINED_PHASES=compile configure install postinst prepare test
+DEPEND=sys-apps/portage[python_targets_pypy3(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?,python_targets_python3_11(-)?]
+DESCRIPTION=Collection of administration scripts for Gentoo
+EAPI=8
+HOMEPAGE=https://wiki.gentoo.org/wiki/Project:Portage-Tools
+INHERIT=distutils-r1 tmpfiles
+IUSE=test python_targets_pypy3 python_targets_python3_8 python_targets_python3_9 python_targets_python3_10 python_targets_python3_11
+KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
+LICENSE=GPL-2
+RDEPEND=sys-apps/portage[python_targets_pypy3(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?,python_targets_python3_11(-)?] virtual/awk sys-apps/gentoo-functions python_targets_pypy3? ( >=dev-python/pypy3-7.3.9_p1:0=[xml(+),threads(+)] ) python_targets_python3_8? ( >=dev-lang/python-3.8.13:3.8[xml(+),threads(+)] ) python_targets_python3_9? ( >=dev-lang/python-3.9.12:3.9[xml(+),threads(+)] ) python_targets_python3_10? ( >=dev-lang/python-3.10.4:3.10[xml(+),threads(+)] ) python_targets_python3_11? ( >=dev-lang/python-3.11.0_beta3:3.11[xml(+),threads(+)] ) virtual/tmpfiles
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python3_8 python_targets_python3_9 python_targets_python3_10 python_targets_python3_11 )
+RESTRICT=!test? ( test )
+SLOT=0
+SRC_URI=https://gitweb.gentoo.org/proj/gentoolkit.git/snapshot/gentoolkit-0.6.1.tar.gz
+_eclasses_=distutils-r1 64c5b9cc381383c9c1ef74fb199293ea multibuild d26d81f242cb193d899a72bca423d0bd multilib 4fbbbc98f236f1b43acd99476bc3cd85 multiprocessing b4e253ab22cef7b1085e9b67c7a3b730 python-r1 e2883e4f04f0503cdf7f2954e2bf5e15 python-utils-r1 32313e7e2fbfba8f62a99ef923fc923c tmpfiles 216aa76c3a6fcb5d893c23a0de86048f toolchain-funcs e9da88162e7a3c60376e80c2c2adcdfb
+_md5_=71ea7c2c8a44988921cc028286b38757
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 52f368d8..d1633b43 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -13,6 +13,7 @@ app-misc/calamares-config-redcore 314-r6: Redcore Linux Calamares modules config
app-misc/geoclue 2.6.0-r10: A location information D-Bus service
app-misc/redcore-live 314-r4: Redcore Linux live scripts
app-misc/redcore-skel 314-r6: Redcore Linux skel tree
+app-portage/gentoolkit 0.6.1-r2: Collection of administration scripts for Gentoo
app-portage/sisyphus 4.2107.0-r4: A simple portage python wrapper which works like other package managers(apt-get/yum/dnf)
app-portage/sisyphus-qt 4.2107.0-r2: A simple portage python wrapper which works like other package managers(apt-get/yum/dnf)
app-text/simplenote 2.6.0: The simplest way to keep notes